Summary:        The Ogg bitstream file format library
Name:           libogg
Version:        1.3.5
Release:        4%{?dist}
License:        BSD
URL:            https://www.xiph.org/
Source0:        https://downloads.xiph.org/releases/ogg/%{name}-%{version}.tar.xz
BuildRequires:  gcc make

%description
Libogg is a library for manipulating Ogg bitstream file formats.
Libogg supports both making Ogg bitstreams and getting packets from
Ogg bitstreams.

%package devel
Summary:        Files needed for development using libogg
Requires:       libogg = %{version}-%{release}
Requires:       pkgconfig automake

%description devel
Libogg is a library used for manipulating Ogg bitstreams. The
libogg-devel package contains the header files and documentation
needed for development using libogg.

%prep
%autosetup

%build
%configure --disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la
mv %{buildroot}%{_docdir}/%{name} __installed_docs

%files
%license COPYING
%doc AUTHORS CHANGES README.md
%{_libdir}/libogg.so.0*

%files devel
%doc __installed_docs/*
%dir %{_includedir}/ogg
%{_includedir}/ogg/ogg.h
%{_includedir}/ogg/os_types.h
%{_includedir}/ogg/config_types.h
%{_libdir}/libogg.so
%{_libdir}/pkgconfig/ogg.pc
%{_datadir}/aclocal/ogg.m4

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.5-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.5-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 23 2022 Xiaojie Chen <jackxjchen@tencent.com> - 1.3.5-1
- Initial build
